net.sf.jasperreports.engine.util

## Class JRFontUtil

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRFontUtil

- Deprecated.
  Replaced by `FontUtil`.

      public final class JRFontUtil
      extends java.lang.Object

  Version:
    $Id: JRFontUtil.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkAwtFont(java.lang.String name, boolean ignoreMissingFont)` Deprecated.
    `static void` | `copyNonNullOwnProperties(JRFont srcFont, JRFont destFont)` Deprecated.
    `static java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `getAttributes(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, JRFont font, java.util.Locale locale)` Deprecated. Replaced by `getAttributesWithoutAwtFont(Map, JRFont)`.
    `static java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object>` | `getAttributesWithoutAwtFont(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, JRFont font)` Deprecated.
    `static java.awt.Font` | `getAwtFont(JRFont font, java.util.Locale locale)` Deprecated. Returns a java.awt.Font instance by converting a JRFont instance.
    `static java.awt.Font` | `getAwtFontFromBundles(java.lang.String name, int style, int size, java.util.Locale locale)` Deprecated. Replaced by `getAwtFontFromBundles(String, int, int, Locale, boolean)`.
    `static java.awt.Font` | `getAwtFontFromBundles(java.lang.String name, int style, int size, java.util.Locale locale, boolean ignoreMissingFont)` Deprecated.
    `static java.util.Collection<java.lang.String>` | `getFontFamilyNames()` Deprecated. Returns the font family names available through extensions, in alphabetical order.
    `static FontInfo` | `getFontInfo(java.lang.String name, java.util.Locale locale)` Deprecated. Returns font information containing the font family, font face and font style.
    `static void` | `resetThreadMissingFontsCache()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### copyNonNullOwnProperties

          public static void copyNonNullOwnProperties(JRFont srcFont,
                                      JRFont destFont)

      Deprecated.

    - #### getAttributes

          public static java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> getAttributes(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                                                                                      JRFont font,
                                                                                                      java.util.Locale locale)

      Deprecated. Replaced by `getAttributesWithoutAwtFont(Map, JRFont)`.
      Fills the supplied Map parameter with attributes copied from the JRFont parameter. The attributes include the TextAttribute.FONT, which has a java.awt.Font object as value.

    - #### getAttributesWithoutAwtFont

          public static java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> getAttributesWithoutAwtFont(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                                                                                                    JRFont font)

      Deprecated.

    - #### getFontInfo

          public static FontInfo getFontInfo(java.lang.String name,
                             java.util.Locale locale)

      Deprecated.
      Returns font information containing the font family, font face and font style.
      Parameters:
        `name` - the font family or font face name
        `locale` - the locale
      Returns:
        a font info object

    - #### getFontFamilyNames

          public static java.util.Collection<java.lang.String> getFontFamilyNames()

      Deprecated.
      Returns the font family names available through extensions, in alphabetical order.

    - #### getAwtFontFromBundles

          public static java.awt.Font getAwtFontFromBundles(java.lang.String name,
                                            int style,
                                            int size,
                                            java.util.Locale locale)

      Deprecated. Replaced by `getAwtFontFromBundles(String, int, int, Locale, boolean)`.

    - #### getAwtFontFromBundles

          public static java.awt.Font getAwtFontFromBundles(java.lang.String name,
                                            int style,
                                            int size,
                                            java.util.Locale locale,
                                            boolean ignoreMissingFont)

      Deprecated.

    - #### resetThreadMissingFontsCache

          public static void resetThreadMissingFontsCache()

      Deprecated.

    - #### checkAwtFont

          public static void checkAwtFont(java.lang.String name,
                          boolean ignoreMissingFont)

      Deprecated.

    - #### getAwtFont

          public static java.awt.Font getAwtFont(JRFont font,
                                 java.util.Locale locale)

      Deprecated.
      Returns a java.awt.Font instance by converting a JRFont instance. Mostly used in combination with third-party visualization packages such as JFreeChart (for chart themes). Unless the font parameter is null, this method always returns a non-null AWT font, regardless whether it was found in the font extensions or not. This is because we do need a font to draw with and there is no point in raising a font missing exception here, as it is not JasperReports who does the drawing.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com